# Book Moderation Sync

This module synchronizes moderation states between books and their children in Drupal 10 and 11. When the moderation state of a book is changed, the same state is applied to all its child nodes (e.g., chapters, interactive images).

## Features
- Automatically syncs moderation states between books and their children.
- Compatible with Drupal 10 and 11.
- Integrates seamlessly with the `book` and `content_moderation` modules.

## Installation
1. Download and place the module in the `modules/custom` directory.
2. Enable the module via the Drupal admin interface or using Drush:
   ```bash
   drush en book_moderation_sync
   ```
## Usage
Once enabled, the module works automatically. No additional configuration is required.

## Support
For issues or feature requests, please open an issue on the project page.

License
## This project is licensed under the GNU General Public License v2.0.
